Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1207669 - [abrt] workrave: g_thread_join(): workrave killed by SIGSEGV
Summary: [abrt] workrave: g_thread_join(): workrave killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d94d8197bd30f64b403901fadb2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-31 13:04 UTC by Amit Shah
Modified: 2016-03-09 20:11 UTC (History)
3 users (show)

Fixed In Version: workrave-1.10.10-1.fc23 workrave-1.10.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 20:25:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (19.05 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: core_backtrace (4.15 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: dso_list (14.75 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: environ (2.14 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: maps (74.30 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: namespaces (85 bytes, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: open_fds (662 bytes, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details
File: var_log_messages (606 bytes, text/plain)
2015-03-31 13:05 UTC, Amit Shah
no flags Details

Description Amit Shah 2015-03-31 13:04:58 UTC
Description of problem:
Just happened in normal operation; I wasn't interacting with workrave at the time it crashed.

Version-Release number of selected component:
workrave-1.10-7.fc22

Additional info:
reporter:       libreport-2.5.0
backtrace_rating: 4
cmdline:        workrave --sm-client-id 109f69cb4b2fcfea98140922866524490300000016120042
crash_function: g_thread_join
executable:     /usr/bin/workrave
global_pid:     2874
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_thread_join at gthread.c:926
 #1 Thread::wait at GlibThread.cc:74
 #2 Core::~Core at Core.cc:132
 #4 GUI::~GUI at GUI.cc:164
 #6 run at main.cc:70
 #8 _start

Potential duplicate: bug 1147371

Comment 1 Amit Shah 2015-03-31 13:05:02 UTC
Created attachment 1009007 [details]
File: backtrace

Comment 2 Amit Shah 2015-03-31 13:05:04 UTC
Created attachment 1009008 [details]
File: cgroup

Comment 3 Amit Shah 2015-03-31 13:05:05 UTC
Created attachment 1009009 [details]
File: core_backtrace

Comment 4 Amit Shah 2015-03-31 13:05:08 UTC
Created attachment 1009010 [details]
File: dso_list

Comment 5 Amit Shah 2015-03-31 13:05:09 UTC
Created attachment 1009011 [details]
File: environ

Comment 6 Amit Shah 2015-03-31 13:05:11 UTC
Created attachment 1009012 [details]
File: limits

Comment 7 Amit Shah 2015-03-31 13:05:14 UTC
Created attachment 1009013 [details]
File: maps

Comment 8 Amit Shah 2015-03-31 13:05:15 UTC
Created attachment 1009014 [details]
File: mountinfo

Comment 9 Amit Shah 2015-03-31 13:05:17 UTC
Created attachment 1009015 [details]
File: namespaces

Comment 10 Amit Shah 2015-03-31 13:05:18 UTC
Created attachment 1009016 [details]
File: open_fds

Comment 11 Amit Shah 2015-03-31 13:05:20 UTC
Created attachment 1009017 [details]
File: proc_pid_status

Comment 12 Amit Shah 2015-03-31 13:05:23 UTC
Created attachment 1009018 [details]
File: var_log_messages

Comment 13 Fedora Admin XMLRPC Client 2015-12-26 12:05:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2015-12-28 18:27:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Update System 2016-02-26 22:16:02 UTC
workrave-1.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 16 Fedora Update System 2016-02-26 22:16:35 UTC
workrave-1.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 17 Fedora Update System 2016-02-28 13:53:37 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 18 Fedora Update System 2016-02-28 13:55:28 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 19 Fedora Update System 2016-03-03 20:24:35 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-03-09 16:21:40 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-03-09 18:46:21 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-03-09 20:11:54 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.